/* Inter */
@font-face {
  font-family: "Inter";
  font-style: normal;
  font-weight: 100 900;
  font-display: swap;
  src:
    local(""),
    url("../fonts/inter/Inter-VariableFont.woff2") format("woff2"),
    url("../fonts/inter/Inter-VariableFont.woff") format("woff");
}

:root {
  --primary-ui-color: #960000;
  --primary-ui-color-hover: #b30000;
  --primary-ui-color-glow: #f00000;
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--primary-ui-color);
  --bs-btn-border-color: none;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--primary-ui-color-hover);
  --bs-btn-hover-border-color: none;
  --bs-btn-focus-shadow-rgb: none;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--primary-ui-color);
  --bs-btn-active-border-color: none;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #404040;
  --bs-btn-disabled-border-color: none;
}

* {
  font-family: "Inter", sans-serif;
  font-size: 0.95rem;
}

/* === LOGIN/REG === */
#login-container {
  background-image: linear-gradient(rgba(0,0,0,0.45), rgba(0,0,0,0.45)), url("../../../assets/img/background/photo-campaign.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  color: white !important;
  min-height: 100vh;
  width: 100%;
  position: relative;
}

#login-container::before {
  content: "";
  position: absolute;
  inset: 0;
  background: inherit;
  filter: blur(4px);
  z-index: 0;
}

#login-container > * {
  position: relative;
  z-index: 1;
}

#login-container-child {
  width: 100%;
    color: #180000 !important;
  /* Definimos un ancho máximo para escritorio pero 100% para móviles */
  max-width: 400px;
  background: rgba(255, 255, 255, 0.822);
  padding: 2.5rem;
  border-radius: 12px;
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.3);
}

/* Ajustes para tablets (opcional) */
@media (max-width: 576px) {
  #login-container-child {
    padding: 1.5rem;
  }

  #login-container-child_logo {
    height: 120px; /* Logo un poco más pequeño en móvil */
  }
}

#login-container-child .input-group-text {
  background: white;
  border: 1px solid #d6d6d6;
  border-right: none;
  color: #666;
}

#login-container-child .form-control {
  height: 40px;
  border-left: none;
}

#login-container-child .form-control:focus {
  box-shadow: none;
  border-color: #d6d6d6;
}

.flex-copy_footer {
  color: rgba(255, 255, 255, 0.5);
  position: relative; /* Asegura que fluya después del form */
}

/* === SPINNER === */
.spinner {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  display: none;
  z-index: 1 !important;
  background: rgba(1, 1, 1, 0.8);
  width: 100vw;
  height: 100vh;
}
